Bio::Map::OrderedPosition(3)

NAME
Bio::Map::OrderedPosition - Abstracts the notion of a member
    of an ordered list of markers. Each marker is a certain distance
    from the one in the ordered list before it.

SYNOPSIS
    use Bio::Map::OrderedPosition;
        # the first marker in the sequence
    my $position = new Bio::Map::OrderedPosition(-order => 1,
                        -positions => [ [ $map, 22.3] ] );
        # the second marker in the sequence, 15.6 units from the fist one
    my $position2 = new Bio::Map::OrderedPosition(-order => 2,
                        -positions => [ [ $map, 37.9] ] );
        # the third marker in the sequence, coincidental with the second
        # marker
    my $position3 = new Bio::Map::OrderedPosition(-order => 3,
                        -posititions => [ [ $map, 37.9]] );

DESCRIPTION
This object is an implementation of the PositionI interface and the Position object handles the specific values of a position. OrderedPosition is intended to be slightly more specific then Position but only specific enough for a parser from the MarkerIO subsystem to create and then pass to a client application to bless into the proper type. For an example of how this is intended to work, see the Mapmaker.pm.

No units are assumed here - units are handled by context of which Map a position is placed in.

Se Bio::Map::Position for additional information.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bugzilla.bioperl.org/

AUTHOR - Chad Matsalla
Email bioinformatics1@dieselwurks.com

CONTRIBUTORS
Lincoln Stein, lstein@cshl.org Heikki Lehvaslaiho, heikki@ebi.ac.uk Jason Stajich, jason@bioperl.org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = new Bio::Map::OrderedPosition();
 Function: Builds a new Bio::Map::OrderedPosition object
 Returns : Bio::Map::OrderedPosition
 Args    : -order - The order of this position

  order
 Title   : order
 Usage   : $o_position->order($new_position) _or_
           $o_position->order()
 Function: get/set the order position of this position in a map
 Returns :
 Args    : If $new_position is provided, the current position of this Position
           will be set to $new_position.

  Bio::Map::Position functions

  known_maps
 Title   : known_maps
 Usage   : my @maps = $position->known_maps
 Function: Returns the list of maps that this position has values for
 Returns : list of Bio::Map::MapI unique ids
 Args    : none

  in_map
 Title   : in_map
 Usage   : if ( $position->in_map($map) ) {}
 Function: Tests if a position has values in a specific map
 Returns : boolean
 Args    : a map unique id OR Bio::Map::MapI

  each_position_value
 Title   : positions
 Usage   : my @positions = $position->each_position_value($map);
 Function: Retrieve a list of positions coded as strings or ints
 Returns : Array of position values for a Map
 Args    : Bio::Map::MapI object to get positions for

  add_position_value
 Title   : add_position_value
 Usage   : $position->add_position_value($map,'100');
 Function: Add a numeric or string position to the PositionI container
           and assoiciate it with a Bio::Map::MapI
 Returns : none
 Args    : $map - Bio::Map::MapI
           String or Numeric coding for a position on a map

  purge_position_values
 Title   : purge_position_values
 Usage   : $position->purge_position_values
 Function: Remove all the position values stored for a position
 Returns : none
 Args    : [optional] only purge values for a given map

  equals
 Title   : equals
 Usage   : if( $mappable->equals($mapable2)) ...
 Function: Test if a position is equal to another position.
 Returns : boolean
 Args    : Bio::Map::PositionI

  less_than
 Title   : less_than
 Usage   : if( $mappable->less_than($m2) ) ...
 Function: Tests if a position is less than another position
           It is assumed that 2 positions are in the same map.
 Returns : boolean
 Args    : Bio::Map::PositionI

  greater_than
 Title   : greater_than
 Usage   : if( $mappable->greater_than($m2) ) ...
 Function: Tests if position is greater than another position.
           It is assumed that 2 positions are in the same map.
 Returns : boolean
 Args    : Bio::Map::PositionI